Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000290Core InformReleasing, bibliographic data, cBlorbpublic2010-09-13 09:062010-10-28 00:30
ReporterVictor Gijsbers 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
Platformx64,i386OSUbuntu, OS XOS Version-
Product Version6E72 
Target VersionFixed in Version6F95 
Summary0000290: cBlorb creates badly-formed StatusCblorb.html when story title contains an apostrophe
DescriptionApostrophes should be escaped in file names in StatusCblorb.html, otherwise cBlorb produces HTML code like this:

<font size=2><a href='javascript:window.Project.openFile("/home/fliep/Documents/writing/if/'Mid the Sagebrush Materials/Release/'Mid the Sagebrush.zblorb")'><img src='file:///home/fliep/Documents/writing/if/'Mid [^] the Sagebrush Materials/Small Cover.png' height=16 width=16 border=0></a> 'Mid the Sagebrush.zblorb</font>

The apostrophe in the story title terminates the string, causing the status panel (and Firefox) not to be able to load the cover art.
Minimal Source Text To Reproduce
"'Mid the Sagebrush"

Sagebrush is a room.

Release along with cover art. [Also include cover art in the Materials directory, bug doesn't happen 
with default cover art.]
Additional InformationTitle was previously: 'Error messages when releasing games with an apostrophe in the path'. I moved this to Core Inform because it's a bug in CBlorb. Reproduced on GNOME and OS X. (Philip, Oct. 1, 2010)
TagsNo tags attached.
Effect(cosmetic) Index is created incorrectly
Attached Files

- Relationships

-  Notes
(0000550)
EmacsUser (manager)
2010-09-13 09:38

Translated (modulo my ability to translate Dutch with the help of the web):

- - - -
I think Gnome Inform 7 gives an error message when you (a) release a game with additional files (e.g. cover art), and (b) have the name of the game directory beginning with an apostrophe.

At least I get the following error:

Error opening file /media/data/Interactive Fiction/My Games/: Error reading file '/media/data/Interactive Fiction/My Games/': Is a directory

My game is in

/media/data/Interactive Fiction/My Games/'Mid the sagebrush and the cactus.inform

and in

/media/data/Interactive Fiction/My Games/'Mid the sagebrush and the cactus Materials.

If I rename it to something without an apostrophe, I get no error messages.

Incidentally, I must do everything just right; I believe the cover art must also be added to the game. But first you need to click two strange pop-ups. :)
(0000660)
graham (administrator)
2010-10-03 04:38

A longish haul, but now everything works at the cBlorb end if the story title and/or the file path the project contains a quotation mark. The only thing still not working is that Parchment appears to crash on being invited to play a project in-brower if the file-path contains a quotation mark; but I think this is Parchment rather than cBlorb going awry. It's not very urgent to fix this, of course.

- Issue History
Date Modified Username Field Change
2010-09-13 09:06 Victor Gijsbers New Issue
2010-09-13 09:38 EmacsUser Note Added: 0000550
2010-09-13 09:52 jmcgrew Assigned To => pchimento
2010-09-13 09:52 jmcgrew Status new => assigned
2010-09-13 09:53 jmcgrew OS => Ubuntu
2010-09-13 09:53 jmcgrew OS Version => 10.04
2010-09-13 09:53 jmcgrew Platform Ubuntu 10.04 64-bit => x64
2010-10-02 07:02 pchimento Project Gnome Inform application => Core Inform
2010-10-02 07:10 pchimento Effect => (cosmetic) Index is created incorrectly
2010-10-02 07:10 pchimento Assigned To pchimento =>
2010-10-02 07:10 pchimento Severity mild => cosmetic
2010-10-02 07:10 pchimento Status assigned => confirmed
2010-10-02 07:10 pchimento Category Installation and Platform Issues => Releasing, bibliographic data, cBlorb
2010-10-02 07:10 pchimento OS Ubuntu => Ubuntu, OS X
2010-10-02 07:10 pchimento OS Version 10.04 => -
2010-10-02 07:10 pchimento Platform x64 => x64,i386
2010-10-02 07:10 pchimento Summary Error messages when releasing games with an apostrophe in the path => cBlorb creates badly-formed StatusCblorb.html when story title contains an apostrophe
2010-10-02 07:10 pchimento Description Updated View Revisions
2010-10-02 07:10 pchimento Steps to Reproduce Updated View Revisions
2010-10-02 07:10 pchimento Additional Information Updated View Revisions
2010-10-03 04:38 graham Note Added: 0000660
2010-10-03 04:38 graham Status confirmed => resolved
2010-10-03 04:38 graham Resolution open => fixed
2010-10-03 04:38 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:30 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker